EDIT - bug #6111

invalid SQL (MySQLSyntaxErrorException) during call to CdmEntityDaoBase.list()
Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 50%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.6

Severity: critical Found in Version: Release 4.3
Description

The Specimens Table in the chichorieae portal is no longer working due to a bug in the CdmEntityDaoBase.list() method.

The web service call to
http://api.cybertaxonomy.org/cichorieae/portal/taxon/cd3c58dc-71a8-4e83-b730-53ccf8c97aad/associatedFieldUnits.json causes the
cdmlib to throw an exception:

com.mysql. jdbc.exceptions. jdbc4.MySQLSyntaxErrorException: You have an error in your SQL syntax; c
heck the manual that corresponds to your MySQL server version for the right syntax to use near ')
order by this_.titleCache asc limit 30' at line 1

at sun.reflect.NativeConstructorAccessorImpl.newInstance(O (Native Method)

at sun.reflect.NativeConstructorAccessorImpl.newInstance (NativeConstructorAccessorImpl. java:62

at sun.reflect.DelegatingConstructorAccessorImpl.newInstance (DelegatingConstructorAccessorImpl
.java:45)

at java.lang.reflect.Constructor.newInstance (Constructor.java:423)

at com.mysqgl.jdbc.Util.handleNewInstance (Util. java:404)

at com.mysqgl. jdbc.Util.getInstance (Util. java:387)

at com.mysqgl. jdbc.SQLError.createSQLException (SQLError. java:939)

at com.mysqgl. jdbc.MysglIO.checkErrorPacket (MysqlIO. java:3878)

at com.mysgl. jdbc.MysglIO.checkErrorPacket (MysgqlIO. java:3814)

at com.mysqgl. jdbc.MysglIO.sendCommand (MysglIO. java:2478)

at com.mysqgl.jdbc.MysglIO.sglQueryDirect (MysglIO. java:2625)

at com.mysqgl. jdbc.ConnectionImpl.execSQL (ConnectionImpl. java:2551)

at com.mysqgl. jdbc.PreparedStatement.executelnternal (PreparedStatement.java:1861)

at com.mysqgl. jdbc.PreparedStatement .executeQuery (PreparedStatement. java:1962)

at com.mchange.v2.c3p0.impl.NewProxyPreparedStatement .executeQuery (NewProxyPreparedStatement. j
ava:353)

at org.hibernate.engine. jdbc.internal.ResultSetReturnImpl.extract (ResultSetReturnImpl. java:70)

at org.hibernate.loader.Loader.getResultSet (Loader. java:2116)

at org.hibernate.loader.Loader.executeQueryStatement (Loader. java:1899)

at org.hibernate.loader.Loader.executeQueryStatement (Loader. java:1875)

at org.hibernate.loader.Loader.doQuery (Loader. java:919)

at org.hibernate.loader.Loader.doQueryAndInitializeNonLazyCollections (Loader.java:336)

at org.hibernate.loader.Loader.doList (Loader.java:2611)

at org.hibernate.loader.Loader.doList (Loader.java:2594)

at org.hibernate.loader.Loader.listIgnoreQueryCache (Loader. java:2423)

at org.hibernate.loader.Loader.list (Loader.java:2418)

at org.hibernate.loader.criteria.Criterialoader.list (Criterialoader.java:109)

at org.hibernate.internal.SessionImpl.list (SessionImpl.java:1774)

at org.hibernate.internal.CriterialImpl.list (CriteriaImpl.java:363)

at eu.etaxonomy.cdm.persistence.dao.hibernate.common.CdmEntityDaoBase.list (CdmEntityDaoBase. ja
va:441)

at eu.etaxonomy.cdm.api.service.OccurrenceServicelImpl.pageFieldUnitsByAssociatedTaxon (Occurren
ceServiceImpl. java:377)

Associated revisions

Revision d8607241 - 03/11/2017 08:54 PM - Andreas Miiller
fix #6111 hopefully fix MySQLSyntaxErrorException during call to CdmEntityDaoBase.list()
http://api.cybertaxonomy.org/cichorieae/portal/taxon/cd3c58dc-71a8-4e83-b730-53ccf8c97aad/associatedFieldUnits.json

History

#1 - 12/01/2016 02:39 PM - Andreas Miiller

- Target version changed from Release 4.4 to Release 4.5

#2 - 01/19/2017 01:21 PM - Andreas Miiller

- Target version changed from Release 4.5 to Release 4.6

#3 - 03/11/2017 08:54 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|d86072413d61d9d60a66713c0855fc6353620057.

#4 - 03/11/2017 08:55 PM - Andreas Miiller
Check after release if this is fixed by d8607241

#5 - 03/13/2017 06:16 PM - Andreas Miiller

- Assignee changed from Andreas Miller to Andreas Kohlbecker

This seems to be fixed. | checked in TaxEditor that Lactuca perennis does not have any any associatedFieldUnits, so the empty result seems to be
correct.
Please review.

#6 - 05/11/2017 08:30 AM - Andreas Kohlbecker

- Status changed from Resolved to Closed
